WPSGraphicShape::PathData Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
WPSGraphicShape::PathData Struct Reference

a simple path component More...

`#include <WPSGraphicShape.h>`

## Public Member Functions
| PathData (char type, Vec2f const &x=Vec2f(), Vec2f const &x1=Vec2f(), Vec2f const &x2=Vec2f())
| constructor
void | translate (Vec2f const &delta)
| translate all the coordinate by delta
void | scale (Vec2f const &factor)
| scale all the coordinate by a factor
void | rotate (float angle, Vec2f const &delta)
| rotate all the coordinate by angle (origin rotation) then translate coordinate
void | transform (WPSTransformation const &matrix, float rotation)
| multiply all the coordinate by a matrix
bool | get (librevenge::RVNGPropertyList &pList, Vec2f const &orig) const
| update the property list to correspond to a command
int | cmp (PathData const &a) const
| comparison function

## Public Attributes
char | m_type
| the type: M, L, ...
Vec2f | m_x
| the main x value
Vec2f | m_x1
| x1 value
Vec2f | m_x2
| x2 value
Vec2f | m_r
| the radius ( A command)
float | m_rotate
| the rotate ( A command)
bool | m_largeAngle
| large angle ( A command)
bool | m_sweep
| sweep value ( A command)

## Friends
std::ostream & | operator<< (std::ostream &o, WPSGraphicShape::PathData const &path)
| a print operator

## Detailed Description

a simple path component

## Constructor & Destructor Documentation

## ◆ PathData()

WPSGraphicShape::PathData::PathData | ( | char | type,
|  | Vec2f const & | x = Vec2f(),
|  | Vec2f const & | x1 = Vec2f(),
|  | Vec2f const & | x2 = Vec2f() )
| inlineexplicit

constructor

## Member Function Documentation

## ◆ cmp()

int WPSGraphicShape::PathData::cmp | ( | WPSGraphicShape::PathData const & | a | ) | const

comparison function

## ◆ get()

bool WPSGraphicShape::PathData::get | ( | librevenge::RVNGPropertyList & | pList,
|  | Vec2f const & | orig ) const

update the property list to correspond to a command

## ◆ rotate()

void WPSGraphicShape::PathData::rotate | ( | float | angle,
|  | Vec2f const & | delta )

rotate all the coordinate by angle (origin rotation) then translate coordinate

## ◆ scale()

void WPSGraphicShape::PathData::scale | ( | Vec2f const & | factor | ) |

scale all the coordinate by a factor

## ◆ transform()

void WPSGraphicShape::PathData::transform | ( | WPSTransformation const & | matrix,
|  | float | rotation )

multiply all the coordinate by a matrix

## ◆ translate()

void WPSGraphicShape::PathData::translate | ( | Vec2f const & | delta | ) |

translate all the coordinate by delta

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | WPSGraphicShape::PathData const & | path )
| friend

a print operator

## Member Data Documentation

## ◆ m_largeAngle

bool WPSGraphicShape::PathData::m_largeAngle

large angle ( A command)

Referenced by cmp(), get(), WPSGraphicShape::getPath(), and PathData().

## ◆ m_r

Vec2f WPSGraphicShape::PathData::m_r

the radius ( A command)

Referenced by cmp(), get(), WPSGraphicShape::getPath(), and PathData().

## ◆ m_rotate

float WPSGraphicShape::PathData::m_rotate

the rotate ( A command)

Referenced by cmp(), get(), PathData(), rotate(), and transform().

## ◆ m_sweep

bool WPSGraphicShape::PathData::m_sweep

sweep value ( A command)

Referenced by cmp(), get(), WPSGraphicShape::getPath(), and PathData().

## ◆ m_type

char WPSGraphicShape::PathData::m_type

the type: M, L, ...

Referenced by cmp(), get(), PathData(), rotate(), scale(), transform(), and translate().

## ◆ m_x

Vec2f WPSGraphicShape::PathData::m_x

the main x value

Referenced by cmp(), get(), WPSGraphicShape::getPath(), PathData(), rotate(), scale(), transform(), and translate().

## ◆ m_x1

Vec2f WPSGraphicShape::PathData::m_x1

x1 value

Referenced by cmp(), get(), PathData(), rotate(), scale(), transform(), and translate().

## ◆ m_x2

Vec2f WPSGraphicShape::PathData::m_x2

x2 value

Referenced by cmp(), get(), PathData(), rotate(), scale(), transform(), and translate().

The documentation for this struct was generated from the following files:

- WPSGraphicShape.h
- WPSGraphicShape.cpp